> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update replaces the tenant's set of verified domains with the provided list.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples put /api/v1/settings/domains
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/settings/domains:
    put:
      tags:
        - Org Domain
      summary: Update
      description: >-
        Update replaces the tenant's set of verified domains with the provided
        list.
      operationId: c1.api.settings.v1.OrgDomainService.Update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.settings.v1.UpdateOrgDomainRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.settings.v1.UpdateOrgDomainResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Update
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.OrgDomain.Update(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.UpdateOrgDomainResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.orgDomain.update();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.settings.v1.UpdateOrgDomainRequest:
      description: The UpdateOrgDomainRequest message.
      properties:
        newDomains:
          description: >-
            The complete list of domain names that should be set as the tenant's
            verified domains.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Update Org Domain Request
      type: object
      x-speakeasy-name-override: UpdateOrgDomainRequest
    c1.api.settings.v1.UpdateOrgDomainResponse:
      description: The UpdateOrgDomainResponse message.
      properties:
        list:
          description: The resulting list of verified domains after the update.
          items:
            $ref: '#/components/schemas/c1.api.settings.v1.OrgDomain'
          type:
            - array
            - 'null'
      title: Update Org Domain Response
      type: object
      x-speakeasy-name-override: UpdateOrgDomainResponse
    c1.api.settings.v1.OrgDomain:
      description: OrgDomain represents a verified email domain associated with the tenant.
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        domain:
          description: The verified domain name (e.g., "example.com").
          type:
            - string
            - 'null'
        id:
          description: The unique identifier of the domain record.
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Org Domain
      type: object
      x-speakeasy-name-override: OrgDomain
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````